For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/passive-liveness/evaluate/token

Evaluates the passive liveness of a tokenized image.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

A tokenized image, used for passive liveness. It also supports extraData, for registration in Api Tracking.

tokenImagestringRequired

Tokenized image, base64-encoded.

Example: BAEBAQLKOJ3E+kPbKqfpJtRHZN5vb...
extraDatastringOptional

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Responses
200

Result of the passive liveness evaluation.

application/json

The result of a passive liveness operation.

diagnosticstring · enumOptional

Possible results of a liveness operation.

Example: NoLivePossible values:
validTimeStampbooleanOptional

In authentication, liveness and extraction operations that involve templateRaws, indicates whether the template's lifetime is valid. See "options:elapsedAllowedSeconds". In operations that do not involve raw templates, it is always true.

Example: true
tokenTimeStampstringOptional

The token's internal date and time value in "%Y-%m-%dT%H:%M:%SZ" format.

Example: 2022-01-14T10:42:05.521922Z
trackingStatusnumberOptional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOptional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
sdkDurationnumberOptional

Duration of the operation in milliseconds.

Example: 1234
post/api/v1/selphid/passive-liveness/evaluate/token
POST /api/v1/selphid/passive-liveness/evaluate/token HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 458

{
  "tokenImage": "BAEBAQLKOJ3E+kPbKqfpJtRHZN5vb...",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM...",
  "options": {
    "longDetail": true,
    "elapsedAllowedSeconds": 3600,
    "futureAllowedSeconds": 3600,
    "facialDetection": "Frontal",
    "minFaceAbsPx": 35,
    "minFaceRel": 0.04,
    "minIodPx": 35,
    "maxPoseDegrees": 30,
    "minFacialQuality": "Good",
    "analyticsDetection": true,
    "templateRawExtraction": true,
    "falseDetectRate": 0.02,
    "maxCantidates": 5,
    "minSimilarity": 0.7,
    "authThreshold": 60,
    "livenessDepth": "Full"
  }
}
{
  "diagnostic": "NoLive",
  "noLiveDetails": {
    "mainCause": "FPadFailed",
    "fPadStatus": "Failed",
    "fPadScore": 0.2,
    "fMadStatus": "Passed",
    "fMadScore": 0.8,
    "coercionScore": 0.8,
    "reasonMessage": "The FPAD module has rejected the image"
  },
  "validTimeStamp": true,
  "tokenTimeStamp": "2022-01-14T10:42:05.521922Z",
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok",
  "sdkDuration": 1234
}

Last updated